# SPDX-FileCopyrightText: WTF Kooperative eG <https://wtf-eg.de/>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

import click

from app import app
from ki.actions import seed
from ki.actions import delete_profile


@app.cli.command("seed")
@click.option("--dev", is_flag=True)
def seed_command(dev):
    seed(dev)


@app.cli.command("delete", help="Delete a user profile")
@click.option(
    "--profile",
    help="Username of profile",
)
def delete_command(profile):
    delete_profile(profile)
